Package org.gdal.gdal

# Class Algorithm

java.lang.Object
org.gdal.gdal.Algorithm

public class Algorithm extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `delete()`
  `boolean`
  `equals(Object obj)`
  `boolean`
  `Finalize()`
  `Algorithm`
  `GetActualAlgorithm()`
  `AlgorithmArg`
  `GetArg(String argName)`
  `Vector`
  `GetArgNames()`
  `AlgorithmArg`
  `GetArgNonConst(String argName)`
  `String`
  `GetDescription()`
  `String`
  `GetHelpFullURL()`
  `String`
  `GetLongDescription()`
  `String`
  `GetName()`
  `Vector`
  `GetSubAlgorithmNames()`
  `String`
  `GetUsageAsJSON()`
  `int`
  `hashCode()`
  `boolean`
  `HasSubAlgorithms()`
  `Algorithm`
  `InstantiateSubAlgorithm(String algName)`
  `boolean`
  `ParseCommandLineArguments(Vector args)`
  `boolean`
  `ParseRunAndFinalize(Vector args)`
  `boolean`
  `ParseRunAndFinalize(Vector args, ProgressCallback callback)`
  `boolean`
  `Run()`
  `boolean`
  `Run(ProgressCallback callback)`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### delete

    public void delete()

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### GetName

    public String GetName()

  - ### GetDescription

    public String GetDescription()

  - ### GetLongDescription

    public String GetLongDescription()

  - ### GetHelpFullURL

    public String GetHelpFullURL()

  - ### HasSubAlgorithms

    public boolean HasSubAlgorithms()

  - ### GetSubAlgorithmNames

    public Vector GetSubAlgorithmNames()

  - ### InstantiateSubAlgorithm

    public Algorithm InstantiateSubAlgorithm(String algName)

  - ### ParseCommandLineArguments

    public boolean ParseCommandLineArguments(Vector args)

  - ### GetActualAlgorithm

    public Algorithm GetActualAlgorithm()

  - ### Run

    public boolean Run(ProgressCallback callback)

  - ### Run

    public boolean Run()

  - ### Finalize

    public boolean Finalize()

  - ### ParseRunAndFinalize

    public boolean ParseRunAndFinalize(Vector args, ProgressCallback callback)

  - ### ParseRunAndFinalize

    public boolean ParseRunAndFinalize(Vector args)

  - ### GetUsageAsJSON

    public String GetUsageAsJSON()

  - ### GetArgNames

    public Vector GetArgNames()

  - ### GetArg

    public AlgorithmArg GetArg(String argName)

  - ### GetArgNonConst

    public AlgorithmArg GetArgNonConst(String argName)